b13-hreflang-list {
	.alert-warning td {
		background: #e8a645;
		color: #000;
	}
}

b13-hreflang-editor {
	.table-fit {
		overflow: unset !important;
	}

	.form-control::placeholder {
		color: var(--typo3-form-control-color);
		opacity: 1;
	}

	.form-control-autocomplete {
		position: relative;
		flex: 1 1 auto;
		width: 1%;
	}

	.autocomplete-results {
		border: var(--typo3-input-border-width) solid var(--typo3-input-border-color);;
		box-shadow: var(--typo3-component-box-shadow);
		overflow: hidden;
	}

	.formengine-suggest-result-item-label small {
		display: block;
	}

	[name="input-selector"] {
		border-radius: 0;
	}

	/*The component uses "!important" at some point which will cause the element not to show up.*/
	typo3-backend-formengine-suggest-result-container[hidden] {
		display: block !important;
	}

	.autocomplete-results:has(.no-result) {
		pointer-events: none;
		text-align: center;
	}

	.autocomplete-results:has(.no-result) .alert {
		margin-bottom: 0;
	}
}

b13-hreflang-editor .input-group-xdefault:has(> input:checked) {
	background: rgb(153, 201, 245);
	color: #000;
}

b13-hreflang-validation {
	position: sticky;
	top: 0;
	left: 0;
	right: 0;
	z-index: 5;
}

b13-hreflang-editor .input-group-xdefault {
	user-select: none;
	cursor: pointer;

	[type="radio"] {
		width: 0;
		height: 0;
	}

	[identifier="hreflang-multisite-x-default"] {
		display: none;
	}

	input:checked + span [identifier="hreflang-multisite-x-default"] {
		display: inline-block;
	}
	input:checked + span [identifier="hreflang-multisite-x-unchecked"] {
		display: none;
	}

	.table-fit {
		overflow-y: unset;
	}
}


/* HrefLang Info Module */
.module-body:has(.b13-hreflang-table) {
	height: calc(100% - var(--module-docheader-height));
	overflow: scroll;
}

[data-module-name="web_info_hreflangmultisite"] {
	overflow: unset;
}

.b13-page-col {
	min-width: 200px;
	padding: .5rem .5rem; !important;
	position: relative;
}

.b13-page-title {
	position: sticky;
	top: 0;
}

.b13-hreflang-table {
	overflow: unset;
}

.table > tbody > tr > td.b13-page-col, .table > tfoot > tr > td.b13-page-col, .table > thead > tr > td.b13-page-col {
	vertical-align: top;
}

/* Made with ❤️ */
#b13_loves_typo3 {
	display: flex;
	justify-content: flex-end;
}

#b13_loves_typo3 a {
	background-color: rgb(84,84,84);
	color: var(--typo3-form-control-color);
	padding: 5px;
	display: inline-block;
	text-decoration: none;
}

#b13_loves_typo3 a:hover {
	background-color: rgb(170,58,80);
}
